%define	version 1.1
%define name libmd5
%define	builddir $RPM_BUILD_DIR/libmd5
Name: %{name}
Summary: MD5 digest routines in reusable library form
Version: %{version}
Release: 1
Source: libmd5-%{version}.tar.gz
Group: Librarites
Copyright: Public Domain
BuildRoot: /tmp/libmd5-root
Vendor: Tycho Softworks
Packager: David Sugar <dyfet@tycho.com>

%description
A reusable library implimentation of public md5 digest routines. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n libmd5

%build
./config --root=$RPM_BUILD_ROOT
make OPTIMIZE=$RPM_OPT_FLAGS

%install
mkdir -p $RPM_BUILD_ROOT/usr/{include,lib}
make install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
# %defattr(-,root,root)
%doc md5.c.orig README
/usr/include/md5.h
/usr/lib/libmd5*

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
